SAP Knowledge Base Article - Public

3136571 - Unable to add or change Zoom class with error Required Data is missing | LastUpdateUser is required

Symptom

Error when trying to enable Zoom vls or add or make changes to certain Zom enabled classes:

com.successfactors.learning.business.scheduledoffering.service.api.ScheduledOfferingServiceException: An error has occurred: Error - Required Data is missing

Caused by: com.plateausystems.elms.util.helper.ElmsRequiredDataException: addVleEnrollment(): LastUpdateUser is required

Environment

SAP SuccessFactors Learning

Reproducing the Issue

Try to enable Zoom on specific class or make change to any Zoom vls and get the error

Cause

Zoom now requires their API to require first name along with email for POST /meetings/{meetingId}/registrants And POST /webinars/{webinarId}/registrants now.

Resolution

Issue resolved in codefix targeted for 1H2022 (b2205) to provide first name or other when first name not present for API paramter to Zoom.

Workaround: Create a new class from the item instead of copying and ensure instructors and registrants have first name & email populated.

Keywords

sap, sf, lms, learning, zoom, vls, vle, class, error, add, enable, change, update, Required, Data, missing, LastUpdateUser, LRN-122588 , KBA , LOD-SF-LMS-VLS , Virtual Learning System , Bug Filed

Product

SAP SuccessFactors Learning 2111